--
-- $Id$
--
-- Door foutieve import hebben mdw een einddatum gekregen, deze moet weer verwijderd worden>

DEFINE thisfile = 'WZUV#57812.SQL'
DEFINE dbuser   = '^WZUV'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
COLUMN fcltcusterr NEW_VALUE fcltcusterr NOPRINT;
WHENEVER SQLERROR CONTINUE;
SELECT adm.getscriptspoolfile('&thisfile') AS fcltlogfile FROM DUAL;
SPOOL &fcltlogfile
WHENEVER SQLERROR EXIT;
SELECT adm.checkscriptcust('&dbuser') AS fcltcusterr FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SET DEFINE OFF

------ payload begin ------

-- alles zonder persnr en geen login mag een einddatum krijgen
UPDATE prs_perslid p
set p.prs_perslid_verwijder = to_date ('14-5-2019', 'dd-mm-yyyy')
 WHERE     prs_srtperslid_key <> 8561
       AND prs_perslid_oslogin IS NULL
       AND p.prs_perslid_nr IS NULL;

-- Inactief halen we ook allemaal weg, 
-- dat komt indien dat toch nodig is vanzelf weer goed na de volgende import
UPDATE prs_perslid p
   SET p.prs_perslid_naam = replace (p.prs_perslid_naam , 'INACTIEF:')
 WHERE     prs_srtperslid_key <> 8561
       AND prs_perslid_oslogin IS NULL;;
       
-- alles wat vandaag een einddatum heeft gekregen, moet weer terug gedraaid worden
UPDATE prs_perslid p
   SET p.prs_perslid_verwijder = ''
 WHERE     prs_srtperslid_key <> 8561
       AND prs_perslid_oslogin IS NULL
       AND TRUNC (p.prs_perslid_verwijder) = TRUNC (SYSDATE);

       


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
